//
var comp;
AdobeEdge.bootstrapCallback(function(compId) {
comp = AdobeEdge.getComposition(compId).getStage();
/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
       
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
                  sym.$('.center-wrapper').css("overflow","hidden");
				          
                    		var tipoactividad = "input";
							var color = sym.getVariable("colorini");
							var colorok = sym.getVariable("colorok");
							var colorbad = sym.getVariable("colorbad");
							var border = sym.getVariable("border");
							var tamano = sym.getVariable("fontsize");
							var fontweight = sym.getVariable("fontweight");
							var fondo = sym.getVariable("fondo");
							var borderRadius= sym.getVariable("border-radius");
							var fondook = sym.getVariable("fondook");
							var fondobad = sym.getVariable("fondobad");
							
                             sym.getSymbol("bt_reiniciar").stop("normal");
                             sym.getSymbol("bt_ayuda").stop("normal");
                             sym.$("hotspot_reiniciar").show();
                             sym.$("hotspot_ayuda").show();
          
                             for (i=1 ; i<= TotalInput; i++){
                             sym.$("Input_"+i).css("background","rgba(255,255,255,0.50)");
                             	var nombreElemento = 'Elemento_'+i;
                             	nombreElemento = document.createElement(tipoactividad);
                             	nombreElemento.id="seleccion_"+i;
                             	var anchoInput = sym.$("Input_"+i).css("width");
                             	var altoInput = sym.$("Input_"+i).css("height");
                             	nombreElemento.style.width= anchoInput;	 
                             	nombreElemento.style.height= altoInput;
                    			nombreElemento.style.fontWeight= "bold";
                             	nombreElemento.style.border=  "2px double #cccccc";;
                             	nombreElemento.style.color= "#666666";
                             	nombreElemento.style.background= "rgba(255,255,255,0.50)";
                             	nombreElemento.style.fontSize= tamano;;
                    			nombreElemento.style.fontFamily= "Cabin";
                             	nombreElemento.style.textAlign="center";
                             	nombreElemento.style.webkitBorderRadius="5px";
                             	nombreElemento.style.mozBorderRadius="5px";
                             	nombreElemento.style.borderRadius="5px";
                             	sym.$("Input_"+i).append(nombreElemento);
								
                             }  
							  	if(filtrar=='int'){
								 sym.$('input').filter_input({					
								 regex:'[0-9]', 
								 events:'keypress paste'});
								 }
							  	if(filtrar=='num'){
								 sym.$('input').filter_input({					
								 regex:'[0-9.]', 
								 events:'keypress paste'});
								 }
								if(filtrar=='alpha'){
								 sym.$('input').filter_input({					
								 regex:'[a-zA-Z ]', 
								 events:'keypress paste'});
								 } 
								 if(filtrar=='alphalower'){
								 sym.$('input').filter_input({					
								 regex:'[a-z_ ]', 
								 events:'keypress paste'});
								 } 
								 if(filtrar=='alphaupper'){
								 sym.$('input').filter_input({					
								 regex:'[A-Z_ ]', 
								 events:'keypress paste'});
								 }
								
								if(filtrar=='alphanum'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_]', 
								 events:'keypress paste'});
								 }

 								
								if(filtrar=='alphanumupper'){
								 sym.$('input').filter_input({					
								 regex:'[a-zA-Z0-9_]', 
								 events:'keypress paste'});
								 }
								 
								 
								 if(filtrar=='alphanumspacelower'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 } 
								else if(filtrar=='alphanumspace'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 } 
								else if(filtrar=='alphanumspacelower'){
								 sym.$('input').filter_input({					
								 regex:'[a-z0-9_ ]', 
								 events:'keypress paste'});
								 } 
								 if(filtrar=='all'){
								 sym.$('input').filter_input({					
								 regex:'[a-zA-Z0-9_°!"#$%&/()=?¡¨*;:_-.,}{´+¿`^[]{}@ ]', 
								 events:'keypress paste'});
								 }
							
							 
							 //BOTÓN SOLUCIÓN
                             sym.$('hotspot_solucion').click(function(){

                             	sym.getSymbol("bt_reiniciar").stop("normal");
                             	sym.$("hotspot_reiniciar").show();

                             sym.$("comprobarRespuesta").hide();
                             sym.$("Punteo").hide();
          
                             for (var i=1; i<TotalInput; i++) {
                                   sym.$('ok'+i).hide();
                             		sym.$('bad'+i).hide();
                             }
          
                             var colorok = sym.getVariable("colorok");
                             var fondook = sym.getVariable("fondook");
          
          
                             for(i=1; i<=TotalInput; i++){
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){
                             		var Resp = sym.getVariable("Respuesta_"+i);
                             		$(this).val(Resp);
                             		$(this).val().toUpperCase();
                             		$(this).css({color: colorok ,background: fondook}
                             		);
                             	}
                             	});
                             }
          
          
                             });
							 //BOTÓN REINICIAR
							 
                             sym.$('hotspot_reiniciar').click(function(){        
                             var colorini = sym.getVariable("colorini");
                             var fondoini = sym.getVariable("fondo");
          
          
                             for(i=0; i<=TotalInput; i++){
                             	sym.$("Input_"+i).children(tipoactividad).each(function(){
                             	if($(this).attr("id")=="seleccion_"+i){
                             		$(this).val("");
                             		$(this).css({color: colorini,background: fondoini});
                             		$(this).removeAttr('disabled');
                             	}
                             });
                             }  
          
                             });
                             sym.$('hotspot_ayuda').click(function(){
                             if (sym.$("help_input").is(":visible")) {
                             	sym.$("help_input").hide();
                             	sym.getSymbol("bt_ayuda").stop("normal");
                             } else {
                             	sym.$("help_input").show();
                             	sym.getSymbol("bt_ayuda").stop("down");
                             }
          
          
                             });
                    	//ocultar ayuda
                    		   sym.$("help_input").click(function(){
                    				 $(this).hide();
                    				 sym.getSymbol("bt_ayuda").stop("normal");
                    			});

      });
      //Edge binding end

   })("stage");
  

})(jQuery, AdobeEdge, "EDGE-94063035");
});